"Failed to load an application resource (internal error)" on mac

Community Beginner ,
Nov 20, 2018 Nov 20, 2018

Copy link to clipboard

Copied

I have been using a government issued software to electronically submit tax forms every month. As of this month I have problem with opening the form in the software and when I choose a form from the list available in the software I get the pop-up message "Failed to load an application resource (internal error)". I should add that i have no problem opening a regular pdfs and when I submitted the tax form last month everything worked just fine. The pdf form was opened in the software, filled in and sent with no issues whatsoever.

I am using Mac OS 10.13.6 and Adobe Acrobat Reader DC 2019.008.20071. I tried reinstalling adobe and the other software but it didn't help. I saw that some users had the same message but their cases differed from mine.

Did anyone come across the same problem?I appreciate your comments.

Views

4.7K

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Nov 24, 2018 Nov 24, 2018

Copy link to clipboard

Copied

I experience the same error. The application started in terminal writes some debugging info. I work on macos 10.11.6

AcrobatReader:

Architecture: x86_64

Build: 19.8.20080.306727

AGM: 4.30.81

CoolType: 5.14.5

JP2K: 1.2.2.41572

$ /Applications/e-Deklaracje.app/Contents/MacOS/e-Deklaracje

2018-11-24 21:03:36.596 e-Deklaracje[99149:25939965] Error loading /Applications/Adobe Acrobat Reader DC.app/Contents/Frameworks/ICUConverter.framework/ICUConverter:  dlopen(/Applications/Adobe Acrobat Reader DC.app/Contents/Frameworks/ICUConverter.framework/ICUConverter, 265): Library not loaded: @rpath/ICUData.framework/Versions/58.2/ICUData

  Referenced from: /Applications/Adobe Acrobat Reader DC.app/Contents/Frameworks/ICUConverter.framework/ICUConverter

  Reason: image not found

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Nov 25, 2018 Nov 25, 2018

Copy link to clipboard

Copied

upgraded to latest macos 10.14 and reinstalled AcrobatReader from scratch with AcrobatCleaner Download Adobe Reader and Acrobat Cleaner Tool - Adobe Labs

Error message is still the same.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Nov 26, 2018 Nov 26, 2018

Copy link to clipboard

Copied

same error here on Mac OS 10.14.1 when using e-Deklaracje app:
Screenshot 2018-11-26 at 12.23.34.png

Error loading /Applications/Adobe Acrobat Reader DC.app/Contents/Frameworks/ICUConverter.framework/ICUConverter:  dlopen(/Applications/Adobe Acrobat Reader DC.app/Contents/Frameworks/ICUConverter.framework/ICUConverter, 265): Library not loaded: @rpath/ICUData.framework/Versions/58.2/ICUData

  Referenced from: /Applications/Adobe Acrobat Reader DC.app/Contents/Frameworks/ICUConverter.framework/ICUConverter

  Reason: image not found

Seems like a problem with a ICUData failing to load when the ICUConverter framework gets loaded.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Nov 28, 2018 Nov 28, 2018

Copy link to clipboard

Copied

Hi there!

We're sorry for the trouble you had with Adobe Reader, please reboot the machine once and check for any pending updates of Adobe Reader from help>check for updates, reboot the machine again and check.

For testing purpose, try opening the PDF form in any browser and check.

Are you getting the error message with one specific PDF file or with all the PDF forms? If it is specific to one specific PDF file, is it possible to share the file with us so that we can test it at our end?

Share the sample PDF file which is throwing the error by private/direct message only How Do I Send Private Message

For testing purpose, disable the 'Protected Mode at startup' and 'Enhanced Security' from Edit>Preferences>Security(Enhanced) and check if the issue still persists.

Note: Disabling the Protected Mode and Enhanced Security is only for testing purpose, please enable it back.

Use Acrobat cleaner tool to do a complete cleaner up of Adobe Reader Download Adobe Reader and Acrobat Cleaner Tool - Adobe Labs

reboot the machine and download the setup of Adobe Reader from ftp://ftp.adobe.com/pub/adobe/reader/mac/AcrobatDC/1900820080/

Complete the installation process and check with the file.

Let us know how it goes and share your observation.

Thanks,

Anand Sri.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Nov 29, 2018 Nov 29, 2018

Copy link to clipboard

Copied

Hi Anand,

Thank you for your reply. I have followed your instructions and here's what happened:

The version I use is up to date and rebooting and rechecking for updates gave the same results.

I get the same error message with all the forms available for selection in the Polish Ministry of Finance software (E-deklaracje) and also on their website. Additionally, in the browser on the ministry's website after the error pops up the below information shows up.

You may want to check it yourself on the ministry's website where the forms are available: https://www.finanse.mf.gov.pl/pl/pp/e-deklaracje/formularze/vat

Simply click on any of the forms in the table e.g. VAT-7(17)*

As for disabling 'Protected Mode at start up' and 'Enhanced Security', the first one doesn't exist in my Adobe version. I ticked off the 'Enhanced Security' but it didn't help, the error kept popping up.

I used the Acrobat cleaner tool, downloaded the Acrobat Reader Version 2019.008.20071 and used the update file you shared but the problem still persists.

Just FYI I have no problems opening PDF on other websites so I assume this has something to do with the security options.

Hope any of this will help in resolving the issue.

Thanks again for your support.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Nov 29, 2018 Nov 29, 2018

Copy link to clipboard

Copied

Hi bone-idle,

For those PDF's where you getting this "Please wait..." message, please check: PDF won’t display. Please wait …

This should help.

-Tariq Dar

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Nov 29, 2018 Nov 29, 2018

Copy link to clipboard

Copied

Hi Tariq,

Thanks for your reply but unfortunately it will not solve the issue. If I download the PDF I will indeed be able to use it but I need to be able to do it in the software, otherwise I cannot submit it to the ministry because there is no option to upload PDF to that software. I only provided the screen shot to show what happened when I followed Anand's instructions but in reality I'm not using the browser to fill in those forms.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Nov 30, 2018 Nov 30, 2018

Copy link to clipboard

Copied

bone-idle,

There was a possibility if you were using Windows machine, and if Reader is your default PDF viewer.

You can try it using Internet Explorer. I am afraid this won't work on Browser as most the browsers don't use Acrobat/Reader to view PDFs. They use their built-in capabilities to view PDF documents. And doesn't have ability read XFA(LiveCycle PDFs).

-Tariq

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Jan 09, 2019 Jan 09, 2019

Copy link to clipboard

Copied

I also have the same problem with this application. My setup is following:

Architecture: x86_64

Build: 19.10.20069.311970

AGM: 4.30.83

CoolType: 5.14.5

JP2K: 1.2.2.42216

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Jan 27, 2019 Jan 27, 2019

Copy link to clipboard

Copied

Install Adobe Reader XI instead of DC despite it's older and DC is recommended. This solved my problem, error disappeared.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Jan 28, 2019 Jan 28, 2019

Copy link to clipboard

Copied

LATEST

My workaround was to remove Acrobat entirely with cleaner, reboot and install version from early 2018.  

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines